MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032463Open CASCADE[OCCT] OCCT:Visualizationpublic2021-06-27 17:312021-07-03 14:45
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032463: Visualization - implement Image_AlienPixMap::Load() via emscripten_get_preloaded_image_data()
DescriptionIt is proposed merging WasmOcctPixMap into Image_AlienPixMap to implement Image_AlienPixMap::Load() via emscripten_get_preloaded_image_data().
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032065verifiedbugmaster Samples - use MODULARIZE within WebGL sample 

-  Notes
(0102104)
git (administrator)
2021-06-27 17:31

Branch CR32463 has been created by kgv.

SHA-1: 16222b8cd254f7a808432c1c59d623a36b9ee6d3


Detailed log of new commits:

Author: kgv
Date: Sun Jun 27 17:32:27 2021 +0300

    0032463: Visualization - implement Image_AlienPixMap::Load() via emscripten_get_preloaded_image_data()
(0102107)
kgv (developer)
2021-06-27 22:52

Please raise the patch
- OCCT: branch CR32463.

http://jenkins-test-12.nnov.opencascade.com/view/CR32463-master-KGV/ [^]
(0102240)
bugmaster (administrator)
2021-07-03 11:07

Combination -
OCCT branch : IR-2021-07-02
master SHA - 1f3c5058f27ddcbc23af3b05820e4433bb1009db
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-07-02 SHA - a0de44eb21bec792a53984d50cb770f6679dbbd8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17426.490000000336 / 17457.450000000455 [-0.18%]
Products
Total CPU difference: 11521.170000000124 / 11511.540000000101 [+0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 19263.921875 / 19236.96875 [+0.14%]
Products
Total CPU difference: 12854.34375 / 12832.328125 [+0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0102260)
git (administrator)
2021-07-03 14:45

Branch CR32463 has been deleted by mnt.

SHA-1: 16222b8cd254f7a808432c1c59d623a36b9ee6d3

- Related Changesets
occt: master 16222b8c
Timestamp: 2021-06-27 14:32:27
Author: kgv
Details ] Diff ]
0032463: Visualization - implement Image_AlienPixMap::Load() via emscripten_get_preloaded_image_data()
mod - samples/webgl/CMakeLists.txt Diff ] File ]
rm - samples/webgl/WasmOcctPixMap.cpp Diff ] File ]
rm - samples/webgl/WasmOcctPixMap.h Diff ] File ]
mod - samples/webgl/WasmOcctView.cpp Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-27 17:31 kgv New Issue
2021-06-27 17:31 kgv Assigned To => kgv
2021-06-27 17:31 git Note Added: 0102104
2021-06-27 20:19 kgv Relationship added child of 0032065
2021-06-27 22:52 kgv Note Added: 0102107
2021-06-27 22:52 kgv Assigned To kgv => bugmaster
2021-06-27 22:52 kgv Status new => resolved
2021-06-27 22:52 kgv Status resolved => reviewed
2021-07-03 11:07 bugmaster Note Added: 0102240
2021-07-03 11:07 bugmaster Status reviewed => tested
2021-07-03 11:09 bugmaster Test case number => Not required
2021-07-03 11:14 kgv Changeset attached => occt master 16222b8c
2021-07-03 11:14 kgv Assigned To bugmaster => kgv
2021-07-03 11:14 kgv Status tested => verified
2021-07-03 11:14 kgv Resolution open => fixed
2021-07-03 14:45 git Note Added: 0102260


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker